Activity log for bug #1487424

Date Who What changed Old value New value Message
2015-08-21 11:08:15 Parcly Taxel bug added bug
2015-08-21 11:08:15 Parcly Taxel attachment added problem.svg https://bugs.launchpad.net/bugs/1487424/+attachment/4450178/+files/problem.svg
2015-08-21 11:09:34 Parcly Taxel description (Trisquel 7.0, Inkscape r14313) The attached file causes Inkscape to freeze (become unresponsive) upon opening. Note that the second control point (10,4) lies at the very end of the single path. Backtrace: #0 _int_free (av=0x7ffff0406760 <main_arena>, p=0x808de70, have_lock=0) at malloc.c:3897 #1 0x0000000000c6fa1a in deallocate (this=<optimised out>, __p=<optimised out>) at /usr/include/c++/4.8/ext/new_allocator.h:110 #2 _M_deallocate (this=<optimised out>, __n=<optimised out>, __p=<optimised out>) at /usr/include/c++/4.8/bits/stl_vector.h:174 #3 ~_Vector_base (this=0x7fffffffa130, __in_chrg=<optimised out>) at /usr/include/c++/4.8/bits/stl_vector.h:160 #4 ~vector (this=0x7fffffffa130, __in_chrg=<optimised out>) at /usr/include/c++/4.8/bits/stl_vector.h:416 #5 ~SBasis (this=0x7fffffffa130, __in_chrg=<optimised out>) at ./2geom/sbasis.h:69 #6 RescaleForNonVanishingEnds (MM=..., ZERO=0.0001) at 2geom/sbasis-geometric.cpp:110 #7 0x0000000000c71018 in Geom::unitVector (V_in=..., tol=tol@entry=0.01, order=order@entry=3) at 2geom/sbasis-geometric.cpp:229 #8 0x00000000007a959d in Geom::touching_circle (curve=..., tol=0.01, t=0) at live_effects/lpe-powerstroke.cpp:111 #9 0x00000000007a9d7e in Inkscape::LivePathEffect::path_from_piecewise_fix_cusps (B=..., y=..., jointype=jointype@entry=Inkscape::LivePathEffect::LINEJOIN_EXTRP_MITER_ARC, miter_limit=4, tol=0.01) at live_effects/lpe-powerstroke.cpp:421 #10 0x00000000007ac5ef in Inkscape::LivePathEffect::LPEPowerStroke::doEffect_path (this=0x80f1990, path_in=...) at live_effects/lpe-powerstroke.cpp:637 #11 0x000000000073af8b in Inkscape::LivePathEffect::Effect::doEffect (this=0x80f1990, curve=0x80c2320) at live_effects/effect.cpp:519 #12 0x000000000058161a in SPLPEItem::performPathEffect (this=this@entry=0x80bf910, curve=curve@entry=0x80c2320) at sp-lpe-item.cpp:254 #13 0x000000000059fe70 in SPPath::update_patheffect (this=0x80bf910, write=<optimised out>) at sp-path.cpp:339 #14 0x00000000005a06db in SPPath::build (this=0x80bf910, document=<optimised out>, repr=<optimised out>) at sp-path.cpp:173 #15 0x000000000059939b in SPObject::invoke_build (this=0x80bf910, document=0x1e48680, repr=0x3e712b0, cloned=<optimised out>) at sp-object.cpp:725 #16 0x000000000059b3c0 in SPObject::build (this=this@entry=0x8108b40, document=document@entry=0x1e48680, repr=repr@entry=0x3e71580) at sp-object.cpp:698 #17 0x0000000000571b7b in SPItem::build (this=this@entry=0x8108b40, document=document@entry=0x1e48680, repr=repr@entry=0x3e71580) at sp-item.cpp:409 (Trisquel 7.0, Inkscape r14313) The attached file causes Inkscape to freeze (become unresponsive) upon opening. Note that the second control point (10,4) lies at the very end of the single path. Backtrace: #0 _int_free (av=0x7ffff0406760 <main_arena>, p=0x808de70, have_lock=0) at malloc.c:3897 #1 0x0000000000c6fa1a in deallocate (this=<optimised out>, __p=<optimised out>) at /usr/include/c++/4.8/ext/new_allocator.h:110 #2 _M_deallocate (this=<optimised out>, __n=<optimised out>, __p=<optimised out>) at /usr/include/c++/4.8/bits/stl_vector.h:174 #3 ~_Vector_base (this=0x7fffffffa130, __in_chrg=<optimised out>) at /usr/include/c++/4.8/bits/stl_vector.h:160 #4 ~vector (this=0x7fffffffa130, __in_chrg=<optimised out>) at /usr/include/c++/4.8/bits/stl_vector.h:416 #5 ~SBasis (this=0x7fffffffa130, __in_chrg=<optimised out>) at ./2geom/sbasis.h:69 #6 RescaleForNonVanishingEnds (MM=..., ZERO=0.0001) at 2geom/sbasis-geometric.cpp:110 #7 0x0000000000c71018 in Geom::unitVector (V_in=..., tol=tol@entry=0.01, order=order@entry=3) at 2geom/sbasis-geometric.cpp:229 #8 0x00000000007a959d in Geom::touching_circle (curve=..., tol=0.01, t=0) at live_effects/lpe-powerstroke.cpp:111 #9 0x00000000007a9d7e in Inkscape::LivePathEffect::path_from_piecewise_fix_cusps (B=..., y=...,     jointype=jointype@entry=Inkscape::LivePathEffect::LINEJOIN_EXTRP_MITER_ARC, miter_limit=4, tol=0.01) at live_effects/lpe-powerstroke.cpp:421 #10 0x00000000007ac5ef in Inkscape::LivePathEffect::LPEPowerStroke::doEffect_path (this=0x80f1990, path_in=...) at live_effects/lpe-powerstroke.cpp:637 #11 0x000000000073af8b in Inkscape::LivePathEffect::Effect::doEffect (this=0x80f1990, curve=0x80c2320) at live_effects/effect.cpp:519 #12 0x000000000058161a in SPLPEItem::performPathEffect (this=this@entry=0x80bf910, curve=curve@entry=0x80c2320) at sp-lpe-item.cpp:254 #13 0x000000000059fe70 in SPPath::update_patheffect (this=0x80bf910, write=<optimised out>) at sp-path.cpp:339 #14 0x00000000005a06db in SPPath::build (this=0x80bf910, document=<optimised out>, repr=<optimised out>) at sp-path.cpp:173 #15 0x000000000059939b in SPObject::invoke_build (this=0x80bf910, document=0x1e48680, repr=0x3e712b0, cloned=<optimised out>) at sp-object.cpp:725 #16 0x000000000059b3c0 in SPObject::build (this=this@entry=0x8108b40, document=document@entry=0x1e48680, repr=repr@entry=0x3e71580) at sp-object.cpp:698 #17 0x0000000000571b7b in SPItem::build (this=this@entry=0x8108b40, document=document@entry=0x1e48680, repr=repr@entry=0x3e71580) at sp-item.cpp:409 (The problematic file is extracted from my MLPFIM comic Cherry's Birthday, with which I have tested my SVG optimisation script Rarify.)
2015-08-21 11:12:57 Parcly Taxel description (Trisquel 7.0, Inkscape r14313) The attached file causes Inkscape to freeze (become unresponsive) upon opening. Note that the second control point (10,4) lies at the very end of the single path. Backtrace: #0 _int_free (av=0x7ffff0406760 <main_arena>, p=0x808de70, have_lock=0) at malloc.c:3897 #1 0x0000000000c6fa1a in deallocate (this=<optimised out>, __p=<optimised out>) at /usr/include/c++/4.8/ext/new_allocator.h:110 #2 _M_deallocate (this=<optimised out>, __n=<optimised out>, __p=<optimised out>) at /usr/include/c++/4.8/bits/stl_vector.h:174 #3 ~_Vector_base (this=0x7fffffffa130, __in_chrg=<optimised out>) at /usr/include/c++/4.8/bits/stl_vector.h:160 #4 ~vector (this=0x7fffffffa130, __in_chrg=<optimised out>) at /usr/include/c++/4.8/bits/stl_vector.h:416 #5 ~SBasis (this=0x7fffffffa130, __in_chrg=<optimised out>) at ./2geom/sbasis.h:69 #6 RescaleForNonVanishingEnds (MM=..., ZERO=0.0001) at 2geom/sbasis-geometric.cpp:110 #7 0x0000000000c71018 in Geom::unitVector (V_in=..., tol=tol@entry=0.01, order=order@entry=3) at 2geom/sbasis-geometric.cpp:229 #8 0x00000000007a959d in Geom::touching_circle (curve=..., tol=0.01, t=0) at live_effects/lpe-powerstroke.cpp:111 #9 0x00000000007a9d7e in Inkscape::LivePathEffect::path_from_piecewise_fix_cusps (B=..., y=...,     jointype=jointype@entry=Inkscape::LivePathEffect::LINEJOIN_EXTRP_MITER_ARC, miter_limit=4, tol=0.01) at live_effects/lpe-powerstroke.cpp:421 #10 0x00000000007ac5ef in Inkscape::LivePathEffect::LPEPowerStroke::doEffect_path (this=0x80f1990, path_in=...) at live_effects/lpe-powerstroke.cpp:637 #11 0x000000000073af8b in Inkscape::LivePathEffect::Effect::doEffect (this=0x80f1990, curve=0x80c2320) at live_effects/effect.cpp:519 #12 0x000000000058161a in SPLPEItem::performPathEffect (this=this@entry=0x80bf910, curve=curve@entry=0x80c2320) at sp-lpe-item.cpp:254 #13 0x000000000059fe70 in SPPath::update_patheffect (this=0x80bf910, write=<optimised out>) at sp-path.cpp:339 #14 0x00000000005a06db in SPPath::build (this=0x80bf910, document=<optimised out>, repr=<optimised out>) at sp-path.cpp:173 #15 0x000000000059939b in SPObject::invoke_build (this=0x80bf910, document=0x1e48680, repr=0x3e712b0, cloned=<optimised out>) at sp-object.cpp:725 #16 0x000000000059b3c0 in SPObject::build (this=this@entry=0x8108b40, document=document@entry=0x1e48680, repr=repr@entry=0x3e71580) at sp-object.cpp:698 #17 0x0000000000571b7b in SPItem::build (this=this@entry=0x8108b40, document=document@entry=0x1e48680, repr=repr@entry=0x3e71580) at sp-item.cpp:409 (The problematic file is extracted from my MLPFIM comic Cherry's Birthday, with which I have tested my SVG optimisation script Rarify.) (Trisquel 7.0, Inkscape r14313) The attached file causes Inkscape to freeze (become unresponsive) upon opening. Note that the second control point (10,4) lies at the very end of the single path. Backtrace: #0 _int_free (av=0x7ffff0406760 <main_arena>, p=0x808de70, have_lock=0) at malloc.c:3897 #1 0x0000000000c6fa1a in deallocate (this=<optimised out>, __p=<optimised out>) at /usr/include/c++/4.8/ext/new_allocator.h:110 #2 _M_deallocate (this=<optimised out>, __n=<optimised out>, __p=<optimised out>) at /usr/include/c++/4.8/bits/stl_vector.h:174 #3 ~_Vector_base (this=0x7fffffffa130, __in_chrg=<optimised out>) at /usr/include/c++/4.8/bits/stl_vector.h:160 #4 ~vector (this=0x7fffffffa130, __in_chrg=<optimised out>) at /usr/include/c++/4.8/bits/stl_vector.h:416 #5 ~SBasis (this=0x7fffffffa130, __in_chrg=<optimised out>) at ./2geom/sbasis.h:69 #6 RescaleForNonVanishingEnds (MM=..., ZERO=0.0001) at 2geom/sbasis-geometric.cpp:110 #7 0x0000000000c71018 in Geom::unitVector (V_in=..., tol=tol@entry=0.01, order=order@entry=3) at 2geom/sbasis-geometric.cpp:229 #8 0x00000000007a959d in Geom::touching_circle (curve=..., tol=0.01, t=0) at live_effects/lpe-powerstroke.cpp:111 #9 0x00000000007a9d7e in Inkscape::LivePathEffect::path_from_piecewise_fix_cusps (B=..., y=...,     jointype=jointype@entry=Inkscape::LivePathEffect::LINEJOIN_EXTRP_MITER_ARC, miter_limit=4, tol=0.01) at live_effects/lpe-powerstroke.cpp:421 #10 0x00000000007ac5ef in Inkscape::LivePathEffect::LPEPowerStroke::doEffect_path (this=0x80f1990, path_in=...) at live_effects/lpe-powerstroke.cpp:637 #11 0x000000000073af8b in Inkscape::LivePathEffect::Effect::doEffect (this=0x80f1990, curve=0x80c2320) at live_effects/effect.cpp:519 #12 0x000000000058161a in SPLPEItem::performPathEffect (this=this@entry=0x80bf910, curve=curve@entry=0x80c2320) at sp-lpe-item.cpp:254 #13 0x000000000059fe70 in SPPath::update_patheffect (this=0x80bf910, write=<optimised out>) at sp-path.cpp:339 #14 0x00000000005a06db in SPPath::build (this=0x80bf910, document=<optimised out>, repr=<optimised out>) at sp-path.cpp:173 #15 0x000000000059939b in SPObject::invoke_build (this=0x80bf910, document=0x1e48680, repr=0x3e712b0, cloned=<optimised out>) at sp-object.cpp:725 #16 0x000000000059b3c0 in SPObject::build (this=this@entry=0x8108b40, document=document@entry=0x1e48680, repr=repr@entry=0x3e71580) at sp-object.cpp:698 #17 0x0000000000571b7b in SPItem::build (this=this@entry=0x8108b40, document=document@entry=0x1e48680, repr=repr@entry=0x3e71580) at sp-item.cpp:409 The problematic file is extracted from my MLPFIM comic Cherry's Birthday, with which I have tested my SVG optimisation script Rarify. Note that when opening from the file explorer Nautilus, the process does not terminate.
2015-08-21 11:44:40 su_v inkscape: importance Undecided High
2015-08-21 11:44:40 su_v inkscape: status New Confirmed
2015-08-21 11:44:40 su_v inkscape: milestone 0.92
2015-08-21 11:44:50 su_v tags crash livepatheffects crash livepatheffects regression
2015-08-21 11:52:06 su_v tags crash livepatheffects regression 2geom crash livepatheffects regression
2015-08-22 02:32:28 Felipe "Juca" Sanches summary Powerstroke LPE with control points at path ends hangs Powerstroke LPE hangs
2015-08-23 23:00:41 Alvin Penner attachment added powerstroke_1487424.diff https://bugs.launchpad.net/inkscape/+bug/1487424/+attachment/4451378/+files/powerstroke_1487424.diff
2015-08-29 12:10:02 Alvin Penner attachment removed powerstroke_1487424.diff https://bugs.launchpad.net/inkscape/+bug/1487424/+attachment/4451378/+files/powerstroke_1487424.diff
2015-08-29 12:12:35 Alvin Penner attachment added powerstroke_1487424_2.diff https://bugs.launchpad.net/inkscape/+bug/1487424/+attachment/4454156/+files/powerstroke_1487424_2.diff
2015-08-30 08:16:49 jazzynico inkscape: status Confirmed In Progress
2015-08-30 08:16:49 jazzynico inkscape: assignee Alvin Penner (apenner)
2015-08-30 11:38:04 Launchpad Janitor branch linked lp:inkscape
2015-08-30 11:42:29 Alvin Penner inkscape: status In Progress Fix Committed
2017-01-10 02:03:03 Bryce Harrington inkscape: status Fix Committed Fix Released